%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This is file `OWTNM.cls',
%% created by modification of 'article.cls'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}[2000/06/01]
\ProvidesClass{OWTNM09_template_web}
  [2002/09/30 nonstandard LaTeX documentclass]
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\def\thepage{}
\@titlepagefalse
\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\ExecuteOptions{a4paper,12pt,oneside,onecolumn,final}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\ProcessOptions
\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{.96}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\setlength{\topmargin}{-.4mm}%   25mm!
\setlength{\textwidth}{170mm}
\setlength{\textheight}{238mm}%   240mm!
\setlength\oddsidemargin{-5.4mm}%   20mm!
\setlength\evensidemargin{-5.4mm}%  20mm!
\setlength{\headheight}{0pt}
\setlength{\headsep}{0pt}
\setlength{\footskip}{0pt}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% ************************************
%% PAGE STYLES
%% ************************************
%%
\pagestyle{empty}
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% **************************************
%% THE TITLE
%% **************************************
%%
\newcommand{\maketitle}{\newpage%
 \begingroup
 \renewcommand\thefootnote{\@fnsymbol\c@footnote}
 \def\@makefnmark{\hbox{{$^{\@thefnmark}$)}}}%\hss}}}
 \long\def\@makefntext##1{\parindent 1em\noindent \hb@xt@1.8em{% \newpage
     \hss$^{\@thefnmark)}$}\hspace{2pt}##1}
 \global\@topnum\z@
  \@maketitle
 \endgroup
 \setcounter{footnote}{0}
 \let\maketitle\relax
 \let\@maketitle\relax
 \gdef\@author{}\gdef\@title{}
}
%%
\def\authori#1{\def\@authori{#1}}
\def\authorii#1{\def\@authorii{#1}}
\def\authoriii#1{\def\@authoriii{#1}}
\def\authoriv#1{\def\@authoriv{#1}}
\def\authorv#1{\def\@authorv{#1}}
\def\authorvi#1{\def\@authorvi{#1}}
\def\addressi#1{\def\@addressi{#1}}
\def\addressii#1{\def\@addressii{#1}}
\def\addressiii#1{\def\@addressiii{#1}}
\def\addressiv#1{\def\@addressiv{#1}}
\def\addressv#1{\def\@addressv{#1}}
\def\addressvi#1{\def\@addressvi{#1}}
%%
\newcommand{\@maketitle}{\null
\vskip-5mm%17pt
{\centering
   {\normalfont\large\bfseries \@title \par} \vskip 1em
   {\lineskip 2em   {\@authori\par}}
   {\small\it\@addressi\par}
   {\setbox \@tempboxa\hbox{\@authorii}
       \ifdim\wd\@tempboxa >0pt
          \vskip .5em  {\@authorii\par}
           {\small\it \@addressii\par}
           {\setbox\@tempboxa\hbox{\@authoriii}
               \ifdim\wd\@tempboxa >0pt
                  \vskip .5em  {\@authoriii\par}
                   {\small\it \@addressiii\par}
                   {\setbox\@tempboxa\hbox{\@authoriv}
                      \ifdim\wd\@tempboxa >0pt
                         \vskip .5em {\@authoriv\par}
                          {\small\it \@addressiv\par}
                          {\setbox\@tempboxa\hbox{\@authorv}
                             \ifdim\wd\@tempboxa >0pt
                                \vskip .5em {\@authorv\par}
                                 {\small\it \@addressv\par}
                                 {\setbox\@tempboxa\hbox{\@authorvi}
                                    \ifdim\wd\@tempboxa >0pt
                                       \vskip .5em {\@authorvi\par}
                                        {\small\it\@addressvi\par}
                                    \else
                                    \fi}
                             \else
                             \fi}
                      \else
                      \fi}
               \else
               \fi}
       \else
       \fi}   }
\vskip 1.3ex
   }
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% *************************************
%% SECTIONS
%% *************************************
%%
\setcounter{secnumdepth}{1}%3
\newcounter {section}
\renewcommand \thesection {\@arabic\c@section}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {1.5ex \@plus .5ex \@minus .2ex}%3.5
                                   {1ex \@plus.2ex}%2.3
                                   {\normalfont\bfseries}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% *************************************
%% LISTS
%% *************************************
%%
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
%%
%% *************************************
%% NEW ENVIRONMENTS
%% ************************************
%%
\newenvironment{abstract}{%
         \small}{\vskip 8pt
    \vskip 5pt%10
  }
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \gdef\thesection{\@Alph\c@section}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand \theequation {\@arabic\c@equation}
%%
%% **************************************
%% FLOATS
%% ************************************
%%
\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\normalsize Fig.$\:$\thefigure.}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\normalsize Table$\:$\thetable.}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\normalsize#1 \ #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1 \  #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
%%
%% **************************************
%% FONT CHANGING
%% **************************************
%%
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
%%
%% ************************************
%% BIBLIOGRAPHY
%% ************************************
%%
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{\normalfont\bfseries References}
            \small%%\vspace{-1.2ex}
            \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \setlength{\parskip}{0ex} \setlength{\itemsep}{-1ex}
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
%%
%% ************************************
%% FOOTNOTES
%% ***********************************
%%
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@0.5em{\hss$^{\@thefnmark}$}\hspace{2pt}%
    \footnotesize\rmfamily#1}
\def\@makefnmark{\hspace{.5pt}\hbox{$^{\@thefnmark}$%
\hspace{-1pt})}}
\endinput
%%
%% End of file `OWTNM.cls'.
